# Class Attributes

#### Hierarchy

- XmlAttributeComponent <{
  bottom?: string;
  color?: string;
  fill?: string;
  footer?: string;
  gutter?: string;
  h?: string;
  header?: string;
  left?: string;
  linePitch?: string;
  pos?: string | number;
  right?: string;
  rsidR?: string;
  rsidRPr?: string;
  rsidSect?: string;
  space?: string;
  sz?: string;
  top?: string;
  type?: string;
  val?: string | number | boolean;
  w?: string;
  }>
  - Attributes

- Defined in file/xml-components/attributes.ts:3

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new Attributes(root): Attributes

- #### Parameters

  - ##### root: {
    bottom?: string;
    color?: string;
    fill?: string;
    footer?: string;
    gutter?: string;
    h?: string;
    header?: string;
    left?: string;
    linePitch?: string;
    pos?: string | number;
    right?: string;
    rsidR?: string;
    rsidRPr?: string;
    rsidSect?: string;
    space?: string;
    sz?: string;
    top?: string;
    type?: string;
    val?: string | number | boolean;
    w?: string;
    }

    - ##### `Optional` `Readonly` bottom?: string

    - ##### `Optional` `Readonly` color?: string

    - ##### `Optional` `Readonly` fill?: string

    - ##### `Optional` `Readonly` footer?: string

    - ##### `Optional` `Readonly` gutter?: string

    - ##### `Optional` `Readonly` h?: string

    - ##### `Optional` `Readonly` header?: string

    - ##### `Optional` `Readonly` left?: string

    - ##### `Optional` `Readonly` linePitch?: string

    - ##### `Optional` `Readonly` pos?: string | number

    - ##### `Optional` `Readonly` right?: string

    - ##### `Optional` `Readonly` rsidR?: string

    - ##### `Optional` `Readonly` rsidRPr?: string

    - ##### `Optional` `Readonly` rsidSect?: string

    - ##### `Optional` `Readonly` space?: string

    - ##### `Optional` `Readonly` sz?: string

    - ##### `Optional` `Readonly` top?: string

    - ##### `Optional` `Readonly` type?: string

    - ##### `Optional` `Readonly` val?: string | number | boolean

    - ##### `Optional` `Readonly` w?: string

  #### Returns Attributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

Generated using TypeDoc